# PokemonSummonData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonSummonData

- Defined in src/field/pokemon.ts:7636

##### Index

### Constructors

constructor

### Properties

abilitiesApplied
ability
abilitySuppressed
addedType
fusionGender
fusionSpeciesForm
gender
moveQueue
moveset
passiveAbility
speciesForm
stats
statStages
tags
types

## Constructors

### constructor

- new PokemonSummonData(): PokemonSummonData

  #### Returns PokemonSummonData

## Properties

### abilitiesApplied

abilitiesApplied: Abilities [] = []

- Defined in src/field/pokemon.ts:7642

### ability

ability: Abilities = Abilities.NONE

- Defined in src/field/pokemon.ts:7645

### abilitySuppressed

abilitySuppressed: boolean = false

- Defined in src/field/pokemon.ts:7641

### addedType

addedType: null | PokemonType = null

- Defined in src/field/pokemon.ts:7653

### fusionGender

fusionGender: Gender

- Defined in src/field/pokemon.ts:7648

### fusionSpeciesForm

fusionSpeciesForm: PokemonSpeciesForm

- Defined in src/field/pokemon.ts:7644

### gender

gender: Gender

- Defined in src/field/pokemon.ts:7647

### moveQueue

moveQueue: TurnMove [] = []

- Defined in src/field/pokemon.ts:7639

### moveset

moveset: PokemonMove []

- Defined in src/field/pokemon.ts:7650

### passiveAbility

passiveAbility: Abilities = Abilities.NONE

- Defined in src/field/pokemon.ts:7646

### speciesForm

speciesForm: null | PokemonSpeciesForm

- Defined in src/field/pokemon.ts:7643

### stats

stats: number[] = ...

- Defined in src/field/pokemon.ts:7649

### statStages

statStages: number[] = ...

[Atk, Def, SpAtk, SpDef, Spd, Acc, Eva]

- Defined in src/field/pokemon.ts:7638

### tags

tags: BattlerTag [] = []

- Defined in src/field/pokemon.ts:7640

### types

types: PokemonType [] = []

- Defined in src/field/pokemon.ts:7652